GuideLab API

Delete Whats App Template Event Override

Reset an automatic WhatsApp event to the GuideLab platform English template.

DELETE
/whatsapp-templates/event-overrides/{eventKey}

Reset an automatic WhatsApp event to the GuideLab platform English template.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

eventKey*string

Value in

  • "order_received_lab"
  • "order_submitted_clinic"

Response Body

application/json

curl -X DELETE "https://example.com/whatsapp-templates/event-overrides/order_received_lab"
{  "data": [    {      "eventKey": "order_received_lab",      "selectedTemplateId": "string",      "selectedTemplate": {        "id": "string",        "displayName": "string",        "language": "string"      },      "effectiveSource": "override",      "fallbackReason": "not_configured",      "requiredVariables": {        "property1": "string",        "property2": "string"      },      "accountState": "unbound"    }  ]}
Empty